/*
Data: 2024-10-10
SOFTWARE DIMOSTRATIVO per l'interfacciamento a ai4call.

IL SOFTWARE VIENE FORNITO "COSÌ COM'È", SENZA GARANZIE DI ALCUN TIPO, ESPRESSE O IMPLICITE, INCLUSE, MA NON SOLO, LE GARANZIE DI COMMERCIABILITÀ, 
IN NESSUN CASO GLI AUTORI O I DETENTORI DEI DIRITTI D'AUTORE SARANNO RESPONSABILI DI EVENTUALI RECLAMI, DANNI O ALTRE RESPONSABILITÀ, SIA IN 
UN'AZIONE LEGALE CHE CONTRATTUALE, EXTRACONTRATTUALE O DI ALTRO TIPO, DERIVANTE DALL'UTILIZZO, ANCHE PARZIALE, DEL SOFTWARE.
*/

const express = require("express");
const app = express();
const fs = require("fs").promises; // Utilizzo della versione `promises` di fs
const port = 3211;

// Route per restituire i dati
app.get("/dati/:recipientNumber", async (req, res) => {
  try {
    const number = req.params.recipientNumber;
    // Legge il file tts.json in modo asincrono
    const data = await fs.readFile("config.json", "utf8");
    const data_number = JSON.parse(data);
    // Cerca il numero di telefono nel JSON
    if (data_number[number]) {
      // Restituisce i dati corrispondenti al numero di telefono
      return res.json(data_number[number]);
    } else {
      // Restituisce un errore 404 se il numero non è trovato
      res.status(404).json({ error: "Numero non trovato" });
    }
  } catch (err) {
    console.error("Errore nella lettura del file tts.json:", err);
    res.status(500).json({ error: "Errore interno del server" });
  }
});

// Avvio del server
app.listen(port, () => {
  console.log(`Server in ascolto su http://localhost:${port}`);
});
